Bug 143399 - Moving /var/lib/mailman to /srv/something should be easier
Moving /var/lib/mailman to /srv/something should be easier
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: mailman (Show other bugs)
3
All Linux
medium Severity medium
: ---
: ---
Assigned To: John Dennis
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-12-20 07:39 EST by Axel Thimm
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-01-10 14:44:06 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Axel Thimm 2004-12-20 07:39:01 EST
Description of problem:
Editing /usr/lib/mailman/Mailman/mm_cfg.py to divert VAR_PREFIX to
another value is not enough, as at mm_cfg.py VAR_PREFIX has already
been expanded for quite a few variables. One needs to track down all
dependant settings and set them also. It finally boils down to editing
Defaults.py to avoid missing any settings.

Moving /var/lib/mailman to another place should be easier as it has
already been discussed on lists whether the default location should be
under /srv. At least users should be able to move it w/o too great
skills involved.

Version-Release number of selected component (if applicable):
mailman-2.1.5-26

How reproducible:
always

Steps to Reproduce:
1.set VAR_PREFIX in mm_cfg.py
  
Actual results:
no effect

Expected results:
mailman should use the values of VAR_PREFIX


Suggested fixing:

o upstream patching (late expansion of VAR_PREFIX)
o move Default.py to /etc/mailman, too (for this and any further
  obscure wishes).

Thanks!
Comment 1 John Dennis 2004-12-21 13:26:24 EST
You're correct, setting VAR_PREFIX in mm_cfg.py won't work, nor should
it. VAR_PREFIX is used in a host of places starting at the moment the
package is built and at the time mm_cfg is imported it is too late to
override. This is inherent in the design of mailman's build, install,
and configure logic dictated by upstream. Also the rpm spec file and
the selinux security policy also depend on this variable being known
and constant. At the moment I don't see any compelling reason to
support post-installation relocation so I'm inclined to close this bug
as won't fix, but perhaps I'm too hasty in my conclusion, I'm going to
set it to need info instead provide an opportunity to justify the
change (which by the way would be very invasive).

Note You need to log in before you can comment on or make changes to this bug.